library verilog;
use verilog.vl_types.all;
entity barrelshifter2 is
    port(
        \DataOut\       : out    vl_logic_vector(15 downto 0);
        \DataIn\        : in     vl_logic_vector(15 downto 0);
        \ShiftDistance\ : in     vl_logic_vector(3 downto 0)
    );
end barrelshifter2;
